package loja.client;

import loja.*;

import java.math.BigDecimal;

public class AdminLojaClient {
	
	public static void main(String[] args) throws LojaException {
		AdminLojaBusinessDelegate loja = new AdminLojaBusinessDelegate();
		
		loja.criarProduto("Tiranossauro", new BigDecimal(13500.00));
		loja.criarProduto("Computador", new BigDecimal(800.00));
		loja.criarProduto("Pizza", new BigDecimal(22.00));
		loja.criarProduto("Abacaxi", new BigDecimal(5.00));
		loja.criarProduto("Saxofone", new BigDecimal(450.00));
		
		ProdutoVO[] produtos = loja.listarProdutos();
		System.out.println(">>>>>>>> Produtos criados:");
		for (int i = 0; i < produtos.length; i++) {
			System.out.println(produtos[i]);
		}
		
		
		System.out.println("Encomendando 5 tiranossauros.");
		loja.solicitarCompra("1", 5);
		System.out.println("Encomendando 10 pizzas.");
		loja.solicitarCompra("3", 10);
		System.out.println("Encomendando 24 abacaxis.");
		loja.solicitarCompra("4", 24);
		System.out.println("Encomendando mais 3 abacaxis.");
		loja.solicitarCompra("4", 3);
		
		produtos = loja.listarProdutos();
		System.out.println(">>>>>>>> Produtos apos compras:");
		for (int i = 0; i < produtos.length; i++) {
			System.out.println(produtos[i]);
		}
		
		System.out.println("Esvaziando o estoque de pizzas.");
		loja.esvaziarEstoque("3");
		
		produtos = loja.listarProdutos();
		System.out.println(">>>>>>>> Produtos apos esvaziamento de estoque:");
		for (int i = 0; i < produtos.length; i++) {
			System.out.println(produtos[i]);
		}
		
		System.out.println("Removendo pizza da lista de produtos.");
		loja.removerProduto("3");
		
		produtos = loja.listarProdutos();
		System.out.println(">>>>>>>> Produtos apos remocao:");
		for (int i = 0; i < produtos.length; i++) {
			System.out.println(produtos[i]);
		}
	}
}
